- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType > Class Template Reference

Inheritance diagram for osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >:

[legend]
List of all members.

## Public Member Functions
| TemplateArray ()
| TemplateArray (const TemplateArray &ta, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| TemplateArray (unsigned int no)
| TemplateArray (unsigned int no, T *ptr)
template<class InputIterator>
| TemplateArray (InputIterator first, InputIterator last)
TemplateArray & | operator= (const TemplateArray &array)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual void | accept (ArrayVisitor &av)
virtual void | accept (ConstArrayVisitor &av) const
virtual void | accept (unsigned int index, ValueVisitor &vv)
virtual void | accept (unsigned int index, ConstValueVisitor &vv) const
virtual int | compare (unsigned int lhs, unsigned int rhs) const
| Return -1 if lhs element is less than rhs element, 0 if equal, 1 if lhs element is greater than rhs element.
virtual const GLvoid * | getDataPointer () const
virtual unsigned int | getTotalDataSize () const
virtual unsigned int | getNumElements () const
## Protected Member Functions
virtual | ~TemplateArray ()

### template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
class osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >

## Constructor & Destructor Documentation

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::TemplateArray | ( |  | ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::TemplateArray | ( | const TemplateArray< T, ARRAYTYPE, DataSize, DataType > & | ta,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::TemplateArray | ( | unsigned int | no | ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::TemplateArray | ( | unsigned int | no,
|  | T * | ptr
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
template<class InputIterator>
osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::TemplateArray | ( | InputIterator | first,
|  | InputIterator | last
| ) | `[inline]`

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::~TemplateArray | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | unsigned int | index,
|  | ConstValueVisitor & | vv
| ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | unsigned int | index,
|  | ValueVisitor & | vv
| ) | `[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | ConstArrayVisitor & | av | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
void osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::accept | ( | ArrayVisitor & | av | ) | `[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual Object* osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual Object* osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual int osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::compare | ( | unsigned int | lhs,
|  | unsigned int | rhs
| ) | const`[inline, virtual]`

| Return -1 if lhs element is less than rhs element, 0 if equal, 1 if lhs element is greater than rhs element. Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual const GLvoid* osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::getDataPointer | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual unsigned int osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::getNumElements | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
virtual unsigned int osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::getTotalDataSize | ( |  | ) | const`[inline, virtual]`

| Implements osg::Array.

template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType>
TemplateArray& osg::TemplateArray< T, ARRAYTYPE, DataSize, DataType >::operator= | ( | const TemplateArray< T, ARRAYTYPE, DataSize, DataType > & | array | ) | `[inline]`

The documentation for this class was generated from the following file:

- Array